Subject: bug#19829: 25.0.50; query-replace in rectangle regions do not honor boundaries

From: Stefan Monnier <[email-masked]>
Date: Fri, 13 Feb 2015 22:59:11 -0500

>> Obviously, this infrastructure is not sufficient for query-replace, so
>> we'll need to add a `region-map-function` or something like that.
> Better would be to add a function that will return a list of positions
> of the rectangular region, i.e. while currently for the contiguous region
> region-beginning/end returns its bounds, for non-contiguous rectangular
> regions we need a list of column bounds.

That would also work, yes.  We could make region-extract-function accept
yet another value of its argument (say `positions') such that instead of
returning the textual content, it just returns a list of
(START . END) bounds.

        Stefan